package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag740;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT740Creator;

/**
 * @author gaosheng
 * @date 2023/3/1
 */
public class Tag39CCreator extends AbsTagCreate {

     private MT740Creator mt740Creator;

    public Tag39CCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt740Creator= (MT740Creator) absMTCreator;
    }

    public void creator()
    {
        String tag39CValue = mt740Creator.getAdditionalAmountsCovered();
        mt740Creator.set("39C", tag39CValue);
    }
}
